Bug 1651845 - Nikto installation is missing dependencies
Summary: Nikto installation is missing dependencies
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nikto
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 03:07 UTC by drewblay
Modified: 2019-10-31 21:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-31 21:04:21 UTC
Type: Bug


Attachments (Terms of Use)

Description drewblay 2018-11-21 03:07:04 UTC
Description of problem:
The Nikto installation is missing dependencies required to function. 

How reproducible: Very

Steps to Reproduce:
1. run "dnf install nikto'
2. Try to actually scan a site with nikto 


Actual results:
Program immediately errors with: ERROR: Required module not found: Time::HiRes qw(ualarm gettimeofday tv_interval)

You then need to install perl-Time-HiRes

After installing per-Time-HiRes you will now at least get the nikto help screen, however nikto still won't function if you actually try to scan a host. You will now get a new error: Can't locate bignum.pm in @INC (you may need to install the bignum module) 

Now you have to install perl-bignum


Expected results:
After running "dnf install nikto" it should work without having to chase down dependencies. 

Additional info:
Issue can be fixed simply by adding perl-Time-HiRes and perl-bignum to the nikto dependencies.

Comment 1 Ben Cotton 2019-10-31 20:28:47 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Michal Ambroz 2019-10-31 21:04:21 UTC
Fixed in fc31


Note You need to log in before you can comment on or make changes to this bug.